<!-- $o = ORM::factory('DOMAIN') -->
<table class="box-full">
	<tr>
		<td class="head" colspan="15">Storage Pools used by nodes in this Domain</td>
	</tr>
	<tr>
		<td class="spacer">&nbsp;</td>
	</tr>
	<tr>
		<td colspan="3">Storage Pool</td>
		<td class="right">Scr Use</td>
		<td class="right">Scr Avl</td>
		<td class="right">Access</td>
		<td class="right">Rec %</td>
		<td class="right">Util %</td>
		<td class="right">Migr %</td>
		<td class="right">High/Low</td>
		<td class="right">Next</td>
		<td class="right">Nodes</td>
		<td class="right">Vols</td>
		<td class="right">Files</td>
		<td class="right">MB</td>
	</tr>
	<?php foreach (Kohana::$config->load('config')->tsmdatatypes as $btype => $ctype) { ?>
	<tr class="subhead">
		<td colspan="15"><?php echo $btype; ?></td>
	</tr>
	<?php foreach (Kohana::$config->load('config')->tsmpooltypes as $type) { ?>
	<tr class="subhead">
		<td>&nbsp;</td>
		<td colspan="14"><?php echo $type; ?></td>
	</tr>
	<?php $i=0; foreach ($o->getStoragePoolsType($btype,$type) as $spo) { ?>
	<tr class="<?php echo $i++%2 ? 'odd' : 'even'; ?>">
		<td colspan="2">&nbsp;</td>
		<td class="data"><?php echo HTML::anchor('stgpool/detail/'.$spo->STGPOOL_NAME,$spo->display('STGPOOL_NAME')); ?></td>
		<td class="data-right"><?php echo $spo->display('NUMSCRATCHUSED'); ?></td>
		<td class="data-right"><?php echo $spo->display('MAXSCRATCH'); ?></td>
		<td class="data-right"><?php echo $spo->display('ACCESS'); ?></td>
		<td class="data-right"><?php echo $spo->display('RECLAIM'); ?></td>
		<td class="data-right"><?php echo $spo->display('PCT_UTILIZED'); ?></td>
		<td class="data-right"><?php echo $spo->display('PCT_MIGR'); ?></td>
		<td class="data-right"><?php printf('%s/%s',$spo->HIGHMIG,$spo->LOWMIG); ?></td>
		<td class="data-right"><?php echo $spo->NEXTSTGPOOL ? HTML::anchor('stgpool/detail/'.$spo->NEXTSTGPOOL,$spo->display('NEXTSTGPOOL')) : '&nbsp;'; ?></td>
		<td class="data-right"><?php echo count($o->getStorageModeNodes($btype,$type,$spo)); ?></td>
		<td class="data-right"><?php echo count($o->getStorageModeVols($ctype,$type,$spo)); ?></td>
		<td class="data-right"><?php echo $o->getStorageModeFiles($btype,$type,$spo); ?></td>
		<td class="data-right"><?php echo $o->getStorageModeData($btype,$type,$spo); ?></td>
	</tr>
	<?php } ?>
	<?php } ?>
	<?php } ?>
</table>
